%define pkgname Kolab-Conf
%define snap 20050801

Summary:	Kolab::Conf - Perl extension for Kolab template generation
Name:		perl-%{pkgname}
Version:	0.9.3
Release:	%mkrel 0.%{snap}.2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://www.cpan.org
Source0:	%{pkgname}-%{version}-%{snap}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
Kolab::Conf handles the generation of template files, used by kolabconf.

%prep

%setup -q -n %{pkgname}-%{version}-%{snap}

# fix attribs
find . -type d -exec chmod 755 {} \;
find . -type f -exec chmod 644 {} \;
	
# cleanup
for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# fix config file location
perl -pi -e "s|^require \"config\.h\"\;|require \"%{_sysconfdir}/kolab/config\.h\"\;|g" *.pm

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

#make test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Kolab/Conf.pm
%{_mandir}/*/*


%changelog
* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 12:14:21 (63350)
- rebuild

* Tue Oct 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 11:49:58 (63332)
- Import perl-Kolab-Conf


* Mon Aug 21 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.20050801.1mdv2007.0
- rebuild

* Mon Aug 01 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.20050801.1mdk
- use a cvs snap instead

* Wed Jul 27 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-6mdk
- added P0 from CVS
- added P1 to prevent kolab from tampering with certain config files

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-5mdk
- one more path fixed

* Thu Jul 21 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.2-4mdk
- one more path fixed (last one?)

* Thu Jul 21 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.2-3mdk
- more paths adjusted

* Mon Jul 18 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.2-2mdk
- patch to adjust paths

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- initial Mandriva package
